<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function acsch

Calculate the hyperbolic arccosecant of a value,
defined as `acsch(x) = asinh(1/x) = ln(1/x + sqrt(1/x^2 + 1))`.

For matrices, the function is evaluated element wise.


## Syntax

```js
math.acsch(x)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`x` | number &#124; Complex &#124; Array &#124; Matrix | Function input

### Returns

Type | Description
---- | -----------
number &#124; Complex &#124; Array &#124; Matrix | Hyperbolic arccosecant of x


### Throws

Type | Description
---- | -----------


## Examples

```js
math.acsch(0.5)       // returns 1.4436354751788103
```


## See also

[asech](asech.md),
[acoth](acoth.md)
